=== debian/changelog ===
netkit-telnet (0.17-41) unstable; urgency=low

  * Declare Standards version as 3.9.8, no changes.
  * Rework cross-compilation mechanism, suggested by Helmut Grohne.
    Closes: #835977
    + debian/patches/150-cross_configuration.diff: New file.
    + debian/rules: Drop CROSS, prefer CC and CXX with host type prefix.
  * debian/rules: Increase hardening level.
  * debian/telnet.lintian-overrides: New name of old file.
    Add overrides concerning `wont'.
  * debian/telnetd.lintian-overrides: Add `wont' clauses.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 07 Nov 2016 19:06:40 +0100

netkit-telnet (0.17-40) unstable; urgency=low

  * Bring in package changes from experimental to unstable.
  * debian/rules: Add a variable LDDEFS. It is consumed during linking
    and is intended to suppress unnecessary linking.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 22:37:15 +0200

netkit-telnet (0.17-39) experimental; urgency=low

  * Isolate support for USERVAR in a separate patch for easier use in
    the variant package netkit-telnet-ssl.  Add LANG and LC_* to the
    list of environment variables acceptable by the server.  Add support
    in the client for exporting USERVAR classified variables.
    + debian/patches/120-some_protocol_refinement.diff: Updated.
    + debian/patches/124-support_uservar.diff: New file.
  * Activate support for user variables in environment.  The server
    accepts USERVAR classified variables, and the user agent announces
    non-standard named variables as USERVAR.  Closes: #237268
    + debian/rules: Add '-DACCEPT_USERVAR' to CFLAGS and to CXXFLAGS. 
  * Modify patch for direct use also with package netkit-telnet-ssl.
    + debian/patches/130-drain_input_from_child.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 09 Mar 2015 15:42:23 +0100

netkit-telnet (0.17-38) experimental; urgency=low

  * Interchange maintainer and uploader!
  * Refactor patch sets.
    + debian/patches/010-full_set_in_18.diff: Updated and renamed.
    + debian/patches/020-from_18_to_24.diff: Updated and renamed.
    + debian/patches/022-buffer_overflow_by_HOME.diff: New file.
    + debian/patches/024-can_2004-0911.diff: New file.
    + debian/patches/026-can_2005_0469.diff: New file.
  * Repair broken host name check in telnetlogin.
    + debian/patches/140-telnetlogin_name_check.diff: New file.
  * New switch '-N' for telnetd.  Taken from netkit-telnet-ssl.
    + debian/patches/142-numeric_hosts.diff: New file.
  * Suppress a useless error message at package removal.
    + debian/telnetd.postrm: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 06 Feb 2015 19:41:53 +0100

netkit-telnet (0.17-37) experimental; urgency=low

  * Add Mats Erik Andersson as uploader.
  * Migrate to format "3.0 (quilt)".
    + debian/source/format: New file.
    + debian/patches/010-full_set_in_18woody3.diff: New file.
    + debian/patches/020-from_18woody3_to_29.diff: New file.
    + debian/patches/030-reject_invalid_port.diff: New file.
    + debian/patches/040-do_not_strip_programs.diff: New file.
    + debian/patches/045-avoid_unsetting_term.diff: New file.
  * Upgrade to Standards 3.9.6, compatibility 9.
    + debian/rules: Implement targets "build-arch" and "build-indep".
  * debian/rules: Implement hardening and cross builds, like netkit-ftp.
    + debian/patches/100-format_security_error.diff: New file.
  * debian/control: Add "misc:Depends" to both packages.
  * debian/telnetd.postinst: Make sure that inetd.conf exists before
    greping for text in it.
  * [lintian] Mixed complaints.
    + Delete leftover postinst.debhelper and postrm.debhelper.
    + Protocol notion name "dont" is legal; add lintian overrides.
    + description-synopsis-starts-with-article
    + maintainer-script-without-set-e
    + debian/control: Expand extended description of both packages.
      Remove outdated conflict with suidmanager.
    + debian/copyright: Include an explicit copy of the relevant license
      "BSD-4-clause".  Complement data on license holders.
    + debian/menu: Command is the physical executable, not the link.
    + debian/patches/110-markup_errors.diff: New file.  Closes: #676258
    + debian/rules: Call dh_prep and dh_lintian.
  * Improve protocol compliance and negotiation printout.
    + debian/patches/120-some_protocol_refinement.diff: New file.
  * Incomplete transfer of data from server to client.  Closes: #607415
    + debian/patches/130-drain_input_from_child.diff

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 22 Jan 2015 17:26:31 +0100

netkit-telnet (0.17-36) unstable; urgency=low

  [ Ian Beckwith ]
  * telnetd.postinst:
    + Fix update-inetd --remove regexp.
    + Drop group from telnetd-ssl regexp.
  * telnetd.postrm: Only remove inetd entry if it is disabled.
  * telnetd Depends:
    + Replace netbase Depends: with openbsd-inetd | inet-superserver
      to pull in update-inetd (Closes: #473262).
    + Remove versioned dependencies on versions of dpkg and base-files
      that long predate oldstable.

  [ Alberto Gonzalez Iniesta ]
  * Upload Ian's patch (Closes: #486123)
  * Patched telnet.cc to avoid unsetting the TERM variable when is not
    known in the local host. Thanks Philippe Troin for the patch.
    (Closes: #237324)
  * Updated debian/menu. Thanks Hideki Yamane. (Closes: #483829)
  * Removed stripping options from Makefiles. (Closes: #437618)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Jul 2008 17:38:26 +0200

netkit-telnet (0.17-35) unstable; urgency=low

  * The 'this does not need to depend on update-inetd' release
  * debian/control: Removed Depends on update-inetd.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 13 Dec 2006 08:39:28 +0100

netkit-telnet (0.17-34) unstable; urgency=low

  * The 'update-inetd' batch release.
  * debian/control: Added Depends on update-inetd 


