## netkit-telnet 0.17.1

=== debian/changelog ===
netkit-telnet (0.17.1-deepin1+rb3) unstable; urgency=medium

  * Fix build on RISC-V

 -- Gui-Yue <yuemeng.gui@gmail.com>  Mon, 21 Nov 2022 09:14:20 +0000

netkit-telnet (0.17-42) unstable; urgency=medium

  * QA upload.
  * Orphan package (no maintainer activity since 2016).
  * Add debian/patches/telnet-netbufwrite-fix.diff (Closes: #974428)
    - Thanks to Nachiketa Prachanda for the patch.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Feb 2021 14:41:40 +0100

netkit-telnet (0.17-41.2) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake to build the package. Closes: #912131

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:25:14 +0100

netkit-telnet (0.17-41.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace sg usage with getent group in postinst (Closes: #904046)
    - note that there's still much room for related improvements, like
      using 'getent passwd' instead of id to match the common pattern
      also don't remove the user in postrm as that violates the
      common consensus (see discussion linked from #228692)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 21:12:12 +0100
